searchNodes=[{"doc":"This module provides basic combinators","ref":"Parser.Combinators.html","title":"Parser.Combinators","type":"module"},{"doc":"accepts a number n and a parser p which produces a parser np. The parser succeeds if parser p can be successfully applied at least n times.","ref":"Parser.Combinators.html#at_least/2","title":"Parser.Combinators.at_least/2","type":"function"},{"doc":"accepts a range m..n and a parser p. Produces a parser pr which succeeds if parser p can be applied at least n times.","ref":"Parser.Combinators.html#between/2","title":"Parser.Combinators.between/2","type":"function"},{"doc":"same as &amp;between/2 excepts it accepts a minimum and a maximum value separately instead of a range.","ref":"Parser.Combinators.html#between/3","title":"Parser.Combinators.between/3","type":"function"},{"doc":"accepts a number n and a parser p and returns parser np. Parser np succeeds only if parser p is successfully applied n times.","ref":"Parser.Combinators.html#count/2","title":"Parser.Combinators.count/2","type":"function"},{"doc":"accepts a parser and applies it to the input string until that parser fails. Returns a list of parser results. The parser still succeeds even if the result list is empty.","ref":"Parser.Combinators.html#many/1","title":"Parser.Combinators.many/1","type":"function"},{"doc":"accepts a parser p and produces a parser that will always succeed. Produces either an empty list or a single element list.","ref":"Parser.Combinators.html#optional/1","title":"Parser.Combinators.optional/1","type":"function"},{"doc":"accepts a testing function and produces a parser. The parser succeeds if the element picked from the input string and applied to the testing function returns true.","ref":"Parser.Combinators.html#satisfy/1","title":"Parser.Combinators.satisfy/1","type":"function"},{"doc":"accepts a parser and applies it to the input string until that parser fails. Returns a list of parser results. The parser succeeds if the at least one result is produced.","ref":"Parser.Combinators.html#some/1","title":"Parser.Combinators.some/1","type":"function"},{"doc":"accepts a number n and a parser p. Produces a parser np. Parser np applies parser p up to n times. Parser np will always succeed even if parser p cannot be applied even once. Returns a list of parser p results which may be empty.","ref":"Parser.Combinators.html#up_to/2","title":"Parser.Combinators.up_to/2","type":"function"},{"doc":"same as up_to/2, but parser p has to succeed at least once","ref":"Parser.Combinators.html#up_to1/2","title":"Parser.Combinators.up_to1/2","type":"function"},{"doc":"This module provides the monad instance definition for a parser.A parser essentially is a function that consumes (part of) a string and produces a value and the unconsumed part of the string.","ref":"Parser.Core.html","title":"Parser.Core","type":"module"},{"doc":"accepts 2 parsers a and b and first applies parser a. If that that parser fails parser b applies.","ref":"Parser.Core.html#%3C%7C%3E/2","title":"Parser.Core.<|>/2","type":"function"},{"doc":"single element parser.","ref":"Parser.Core.html#elem/0","title":"Parser.Core.elem/0","type":"function"},{"doc":"function that accepts a string and always fails.","ref":"Parser.Core.html#empty/0","title":"Parser.Core.empty/0","type":"function"},{"doc":"applies the parser to the input string, returns value and remaining string","ref":"Parser.Core.html#parse/2","title":"Parser.Core.parse/2","type":"function"},{"doc":"injects the passed value into function that accepts a string and returns a pair of the injected value and the unchanged string","ref":"Parser.Core.html#return/1","title":"Parser.Core.return/1","type":"function"},{"doc":"applies the parser and returns {:ok, result} on successful parse when there is no more input left. Returns {:error, reason} if either the parser failed or the input string was not consumed entirely.","ref":"Parser.Core.html#run_parser/2","title":"Parser.Core.run_parser/2","type":"function"},{"doc":"applies the parser and returns an un-wrapped value. Raises an error if the parser failed, or the parser succeeded but the input was not consumed entirely.","ref":"Parser.Core.html#run_parser!/2","title":"Parser.Core.run_parser!/2","type":"function"},{"doc":"This module provides a few basic parsers. Has to be imported explicitly.","ref":"Parser.Library.html","title":"Parser.Library","type":"module"},{"doc":"parser that succeeds if the input string starts with a letter.","ref":"Parser.Library.html#alpha/0","title":"Parser.Library.alpha/0","type":"function"},{"doc":"parser that succeed if the input string starts with either a digit of letter.","ref":"Parser.Library.html#alphanumeric/0","title":"Parser.Library.alphanumeric/0","type":"function"},{"doc":"accepts a single character and produces a parser that succeeds if the input string begins with that character.","ref":"Parser.Library.html#char/1","title":"Parser.Library.char/1","type":"function"},{"doc":"parser that succeeds if the input string start with a digit within 0..9","ref":"Parser.Library.html#digit/0","title":"Parser.Library.digit/0","type":"function"},{"doc":"parser that succeeds if the input string starts with with a digit from 1..9","ref":"Parser.Library.html#digit_non_zero/0","title":"Parser.Library.digit_non_zero/0","type":"function"},{"doc":"parser that succeeds if the input string starts with a digit. Returns a string composed of all subsequent digits found.","ref":"Parser.Library.html#digits/0","title":"Parser.Library.digits/0","type":"function"},{"doc":"parser that succeed if the input string starts with","ref":"Parser.Library.html#space/0","title":"Parser.Library.space/0","type":"function"},{"doc":"parser that succeeds if the input string starts with . Consumes every following of the input string.","ref":"Parser.Library.html#spaces/0","title":"Parser.Library.spaces/0","type":"function"},{"doc":"accepts a string and produces a parser that succeeds if the input string begins with that string. Case sensitive.","ref":"Parser.Library.html#string/1","title":"Parser.Library.string/1","type":"function"},{"doc":"parser that succeeds if the input string starts with '0'","ref":"Parser.Library.html#zero/0","title":"Parser.Library.zero/0","type":"function"},{"doc":"","ref":"ParserCombinators.html","title":"ParserCombinators","type":"module"}]